GNU bug report logs - #60649
29.0.60; c-ts-mode: struct typedef brace end may not indent properly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mohammed Sadiq <sadiq@HIDDEN>; Done: Theodor Thornhill <theo@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 60649 <at> debbugs.gnu.org and Mohammed Sadiq <sadiq@HIDDEN> Request was from Theodor Thornhill <theo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 60649 <at> debbugs.gnu.org:


Received: (at 60649) by debbugs.gnu.org; 21 Jan 2023 08:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 03:01:00 2023
Received: from localhost ([127.0.0.1]:47941 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJ8o8-00025o-Bo
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 03:01:00 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:33497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sadiq@HIDDEN>) id 1pJ8o7-00025X-8V
 for 60649 <at> debbugs.gnu.org; Sat, 21 Jan 2023 03:00:59 -0500
Received: (Authenticated sender: sadiq@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPA id 943801C0002;
 Sat, 21 Jan 2023 08:00:50 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sadiqpk.org; s=gm1;
 t=1674288053;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=jCG37ZZ5iHn0ThfxMX5ASYxLcdOOIG6FUIOffTHpNfI=;
 b=QuYaHxo5my0qWNJFU1UC5/U3+gn/kkCCqbeuKtEdY8axstBxYJaA/A56TftoMSEvipOt6G
 w8n1kaC10xP1f1UpXCzmZHAQkLUAp65pNCafqK5eo6pkqKmSiLmVdiHKW7Bu3lPP1PnJ6r
 46bLUvJ/6ZFBkCXf3ttW/IdoL8lcC9WTx0tTNueb/TQq8znaSCvM+vz5SMpdJPFPtLyWgX
 zZp3sZmaVQgtNAHrk8pRAB/+Ths8aUqaqeRsqZIXP/1vC4XjyA+zNOwO0de+tJb9TAvAJB
 o3qQwr1Csev8DvJ/tPIXqLvvG0bnYkdvZ/0Nw4Rn3HmCvEctZiLJAtrUNHslhQ==
MIME-Version: 1.0
Date: Sat, 21 Jan 2023 13:30:50 +0530
From: Mohammed Sadiq <sadiq@HIDDEN>
To: Theodor Thornhill <theo@HIDDEN>
Subject: Re: bug#60649: 29.0.60; c-ts-mode: struct typedef brace end may not
 indent properly
In-Reply-To: <87wn5g49ac.fsf@HIDDEN>
References: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN>
 <87bkms6gm2.fsf@HIDDEN> <894532442fcddc880681ac848e9ccc9a@HIDDEN>
 <87wn5g49ac.fsf@HIDDEN>
Message-ID: <495ddef13acf2dd172819ec52e00b2c1@HIDDEN>
X-Sender: sadiq@HIDDEN
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60649
Cc: 60649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2023-01-21 13:19, Theodor Thornhill wrote:
> Mohammed Sadiq <sadiq@HIDDEN> writes:
> 
>> On 2023-01-21 02:58, Theodor Thornhill wrote:
>>> It seems to me that both of these are fixed now, right?
>> 
>> enum block has still broken indentation, I get:
>> 
>> typedef enum {
>> GTK_PAD_ACTION_BUTTON,
>> GTK_PAD_ACTION_RING,
>> GTK_PAD_ACTION_STRIP
>>          } GtkPadActionType;
>> 
>> 
>> But I expect (with default indentation level):
>> 
>> typedef enum {
>>    GTK_PAD_ACTION_BUTTON,
>>    GTK_PAD_ACTION_RING,
>>    GTK_PAD_ACTION_STRIP
>> } GtkPadActionType;
> 
> 
> Now all of this works on emacs-29 for me, do you agree? :)


Yes. It works fine now. :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60649; Package emacs. Full text available.

Message received at 60649 <at> debbugs.gnu.org:


Received: (at 60649) by debbugs.gnu.org; 21 Jan 2023 07:49:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 02:49:22 2023
Received: from localhost ([127.0.0.1]:47884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJ8cs-0001kM-CD
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 02:49:22 -0500
Received: from out-73.mta0.migadu.com ([91.218.175.73]:48555)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theo@HIDDEN>) id 1pJ8cp-0001kC-DI
 for 60649 <at> debbugs.gnu.org; Sat, 21 Jan 2023 02:49:21 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=thornhill.no;
 s=key1; t=1674287357;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=xRKMTEtMw0nPqZ1sLrFs7n6MyCoZn+PT05/VUmfMBH4=;
 b=AJH79oOM37STG0NzieFiPYRW69bZ37qSgT93BBQAale1Yj3E/AsmqD/1I7pQtknx5ECl8+
 7LKMwmrv2NvtS3t+U+0wZv3ufR/ZaAasjp65xqgzRjUcLik63iEU1RJzCMcaA+yAuuUptU
 JmCYpnwjXckFFg/osAnIXySGMv6PEchT3t4Ee77qeBf5iWHNdcz3/S9E5BPSDov8DdoIId
 oSTTOhsEnTq0oNPbWCd46dpN4OKqnBUWEoPfRFXjQQm09jk1zOewE+gS/VBlLAhusKioA/
 bWoOL+SYY5sKfUliqGwyNLsz2TBeUKIaoRfSyVwMAOc9oMyQrvMfJkHqkxBGHQ==
From: Theodor Thornhill <theo@HIDDEN>
To: Mohammed Sadiq <sadiq@HIDDEN>
Subject: Re: bug#60649: 29.0.60; c-ts-mode: struct typedef brace end may not
 indent properly
In-Reply-To: <894532442fcddc880681ac848e9ccc9a@HIDDEN>
References: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN>
 <87bkms6gm2.fsf@HIDDEN>
 <894532442fcddc880681ac848e9ccc9a@HIDDEN>
Date: Sat, 21 Jan 2023 08:49:15 +0100
Message-ID: <87wn5g49ac.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60649
Cc: 60649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mohammed Sadiq <sadiq@HIDDEN> writes:

> On 2023-01-21 02:58, Theodor Thornhill wrote:
>> It seems to me that both of these are fixed now, right?
>
> enum block has still broken indentation, I get:
>
> typedef enum {
> GTK_PAD_ACTION_BUTTON,
> GTK_PAD_ACTION_RING,
> GTK_PAD_ACTION_STRIP
>          } GtkPadActionType;
>
>
> But I expect (with default indentation level):
>
> typedef enum {
>    GTK_PAD_ACTION_BUTTON,
>    GTK_PAD_ACTION_RING,
>    GTK_PAD_ACTION_STRIP
> } GtkPadActionType;


Now all of this works on emacs-29 for me, do you agree? :)

```
enum {
  PROP_0,
  PROP_NAME,
  N_PROPS
};

typedef enum {
  GTK_PAD_ACTION_BUTTON,
  GTK_PAD_ACTION_RING,
  GTK_PAD_ACTION_STRIP
} GtkPadActionType;

typedef struct {
  unsigned long flags;
  unsigned long functions;
  unsigned long decorations;
  long input_mode;
  unsigned long status;
} PropMotifWmHints;


typedef enum {
  GTK_PAD_ACTION_BUTTON,
  GTK_PAD_ACTION_RING,
  GTK_PAD_ACTION_STRIP
} GtkPadActionType;
```

Theo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60649; Package emacs. Full text available.

Message received at 60649 <at> debbugs.gnu.org:


Received: (at 60649) by debbugs.gnu.org; 21 Jan 2023 06:41:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 01:41:13 2023
Received: from localhost ([127.0.0.1]:47803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pJ7Yv-0008Q9-JA
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2023 01:41:13 -0500
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:55863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sadiq@HIDDEN>) id 1pJ7Yr-0008Pt-3s
 for 60649 <at> debbugs.gnu.org; Sat, 21 Jan 2023 01:41:11 -0500
Received: (Authenticated sender: sadiq@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPA id 69B591C0005;
 Sat, 21 Jan 2023 06:41:02 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=sadiqpk.org; s=gm1;
 t=1674283262;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 content-transfer-encoding:content-transfer-encoding:
 in-reply-to:in-reply-to:references:references;
 bh=ObTG504oPVhcv50teu3WsS7AKkgihZox1BTQyLdBPME=;
 b=OZwsak1YECGWH4v+c0jkZEsC1AZswiOGn77R4SiFesESUUBGI1c9ic/E4S6nxyefMAnklx
 j5S0QuZxT/0RUT5IfmyUccCbSh20RchUK5i0w6xPUYmQ7H4nQdgIL01xk3tLxNGOWHmxai
 TlCZsUR3LIvKgyxdDz0mIEJ1RPj8ovZmwEq2QYW878Jpi8xRvTJZ7d1IMhF1t8S5+mEtDQ
 AYflY2lY8dfNbQ6qkN2EqY6ox8WVCkXN40TzxMpB52/oTU7+bCYXr52BJrnfluB++8JniB
 VBrBDWn1At8Up9g5BSztFwBoaNjp1SOKvXffcQXvlLWUn0DhiWKNOrrriaYJdQ==
MIME-Version: 1.0
Date: Sat, 21 Jan 2023 12:11:02 +0530
From: Mohammed Sadiq <sadiq@HIDDEN>
To: Theodor Thornhill <theo@HIDDEN>
Subject: Re: bug#60649: 29.0.60; c-ts-mode: struct typedef brace end may not
 indent properly
In-Reply-To: <87bkms6gm2.fsf@HIDDEN>
References: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN>
 <87bkms6gm2.fsf@HIDDEN>
Message-ID: <894532442fcddc880681ac848e9ccc9a@HIDDEN>
X-Sender: sadiq@HIDDEN
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60649
Cc: 60649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2023-01-21 02:58, Theodor Thornhill wrote:
> It seems to me that both of these are fixed now, right?

enum block has still broken indentation, I get:

typedef enum {
GTK_PAD_ACTION_BUTTON,
GTK_PAD_ACTION_RING,
GTK_PAD_ACTION_STRIP
         } GtkPadActionType;


But I expect (with default indentation level):

typedef enum {
   GTK_PAD_ACTION_BUTTON,
   GTK_PAD_ACTION_RING,
   GTK_PAD_ACTION_STRIP
} GtkPadActionType;





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60649; Package emacs. Full text available.

Message received at 60649 <at> debbugs.gnu.org:


Received: (at 60649) by debbugs.gnu.org; 20 Jan 2023 21:28:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 20 16:28:09 2023
Received: from localhost ([127.0.0.1]:47329 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pIyvg-0005UQ-P1
	for submit <at> debbugs.gnu.org; Fri, 20 Jan 2023 16:28:09 -0500
Received: from out0.migadu.com ([94.23.1.103]:33147)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theo@HIDDEN>) id 1pIyve-0005UJ-Vr
 for 60649 <at> debbugs.gnu.org; Fri, 20 Jan 2023 16:28:07 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=thornhill.no;
 s=key1; t=1674250086;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=3LgF1f7RK/IKy8sLfCxwUoYQJ2G6ZhIH9LQWN1JOrxg=;
 b=IoBkACL3HJF9WvcdD/7uyU1/dmMyRmbdGRFx8NOgFS+j7wLSUFhOfBdhMrLpwYLxNSQR8E
 FjncQSWPPypxNYDoGNl+5XVdf7H1Re5c0KVUjK07Ceur0MKh4kv6hI0yfJVgyec7d7orjb
 10k78hVKn/y1xa2W/JOtKQc7hX81/x+ev7qLMZxGTL1z6JWHDZeBF0ILRND0Lct1hu3spO
 Jd8wNVLvmeSltnNeJSy/ZYhZJ8/8fb8SPiCxBkSaWjWh4+6YONljGO6Pt8SKGco8lHs0H7
 xH52/DdEtY4K59NJDuCUKuL86FiuS0cXiuNr4/vnYRnShy1odpIhvoEYJPlijg==
From: Theodor Thornhill <theo@HIDDEN>
To: Mohammed Sadiq <sadiq@HIDDEN>
Subject: Re: bug#60649: 29.0.60; c-ts-mode: struct typedef brace end may not
 indent properly
In-Reply-To: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN> (Mohammed Sadiq's
 message of "Sun, 08 Jan 2023 15:43:42 +0530")
References: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN>
Date: Fri, 20 Jan 2023 22:28:05 +0100
Message-ID: <87bkms6gm2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60649
Cc: 60649 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Mohammed Sadiq <sadiq@HIDDEN> writes:

> The following code is not indented properly with c-ts-mode:
>
> typedef struct {
>   unsigned long flags;
>   unsigned long functions;
>   unsigned long decorations;
>   long input_mode;
>   unsigned long status;
>         } PropMotifWmHints;
>
>
> the expected indentation:
>
> typedef struct {
>   unsigned long flags;
>   unsigned long functions;
>   unsigned long decorations;
>   long input_mode;
>   unsigned long status;
> } PropMotifWmHints;
>

It seems to me that both of these are fixed now, right?

Theo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60649; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2023 10:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 05:30:30 2023
Received: from localhost ([127.0.0.1]:59948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pESwf-0003SA-Rx
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 05:30:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:46434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sadiq@HIDDEN>) id 1pESwe-0003S3-Bw
 for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 05:30:28 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sadiq@HIDDEN>) id 1pESwd-0000GM-Mj
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2023 05:30:28 -0500
Received: from relay4-d.mail.gandi.net ([2001:4b98:dc4:8::224])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sadiq@HIDDEN>) id 1pESwc-0007cd-0D
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2023 05:30:27 -0500
Received: (Authenticated sender: sadiq@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPA id 23808E0009
 for <bug-gnu-emacs@HIDDEN>; Sun,  8 Jan 2023 10:30:22 +0000 (UTC)
MIME-Version: 1.0
Date: Sun, 08 Jan 2023 16:00:22 +0530
From: Mohammed Sadiq <sadiq@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: 29.0.60; c-ts-mode: struct typedef brace end may not indent
 properly
In-Reply-To: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN>
References: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN>
Message-ID: <bcd188924a4e8aac963d42f79fa21085@HIDDEN>
X-Sender: sadiq@HIDDEN
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=2001:4b98:dc4:8::224;
 envelope-from=sadiq@HIDDEN; helo=relay4-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

The same is the case for typedef enum too, eg:
typedef enum {
   GTK_PAD_ACTION_BUTTON,
   GTK_PAD_ACTION_RING,
   GTK_PAD_ACTION_STRIP
         } GtkPadActionType;




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60649; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2023 10:14:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 05:14:03 2023
Received: from localhost ([127.0.0.1]:59919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pESgk-00031e-PC
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 05:14:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:56352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sadiq@HIDDEN>) id 1pESgj-000318-Da
 for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 05:14:01 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sadiq@HIDDEN>) id 1pESgg-0005as-7k
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2023 05:13:59 -0500
Received: from relay1-d.mail.gandi.net ([2001:4b98:dc4:8::221])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sadiq@HIDDEN>) id 1pESgU-0006qQ-HU
 for bug-gnu-emacs@HIDDEN; Sun, 08 Jan 2023 05:13:51 -0500
Received: (Authenticated sender: sadiq@HIDDEN)
 by mail.gandi.net (Postfix) with ESMTPA id B670E24000A
 for <bug-gnu-emacs@HIDDEN>; Sun,  8 Jan 2023 10:13:42 +0000 (UTC)
MIME-Version: 1.0
Date: Sun, 08 Jan 2023 15:43:42 +0530
From: Mohammed Sadiq <sadiq@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.60; c-ts-mode: struct typedef brace end may not indent properly
Message-ID: <68d32f95e6caa6309dd115b1899e8fb7@HIDDEN>
X-Sender: sadiq@HIDDEN
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=2001:4b98:dc4:8::221;
 envelope-from=sadiq@HIDDEN; helo=relay1-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

The following code is not indented properly with c-ts-mode:

typedef struct {
   unsigned long flags;
   unsigned long functions;
   unsigned long decorations;
   long input_mode;
   unsigned long status;
         } PropMotifWmHints;


the expected indentation:

typedef struct {
   unsigned long flags;
   unsigned long functions;
   unsigned long decorations;
   long input_mode;
   unsigned long status;
} PropMotifWmHints;



In GNU Emacs 29.0.60 (build 9, x86_64-pc-linux-gnu, GTK+ Version
  3.24.35, cairo version 1.16.0) of 2023-01-08 built on purism
Repository revision: e04b3d41bb41ccca3d403345b12b9a614213d488
Repository branch: emacs-29
Windowing system distributor 'The X.Org Foundation', version 
11.0.12101005
System Description: Debian GNU/Linux bookworm/sid




Acknowledgement sent to Mohammed Sadiq <sadiq@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#60649; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 28 Jan 2023 19:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.